Package org.apache.sling.feature.launcher.impl.launchers

# Class AbstractRunner

java.lang.Object
org.apache.sling.feature.launcher.impl.launchers.AbstractRunner

All Implemented Interfaces:
  `Callable<Integer>`

Direct Known Subclasses:
  `FrameworkRunner`

public abstract class AbstractRunner extends Object implements Callable<Integer>
Common functionality for the framework start.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final org.slf4j.Logger`
`logger`

## Constructor Summary

Constructors
Constructor
Description
`AbstractRunner(List<Object[]> configurations, List<URL> installables)`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`finishStartup(org.osgi.framework.launch.Framework framework)`
`protected void`
`registerFeatureService(org.osgi.framework.Bundle featureBundle)`
`void`
`setBundleReporter(BiConsumer<URL,Map<String,String>> reporter)`
`void`
`setFeatureSupplier(Supplier<String> supplier)`
`protected void`
`setupFramework(org.osgi.framework.launch.Framework framework, Map<Integer,List<URL>> bundlesMap)`
`protected boolean`
`startFramework(org.osgi.framework.launch.Framework framework, long timeout, TimeUnit unit)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.concurrent.Callable

`call`

## Field Details

### logger

protected final org.slf4j.Logger logger

## Constructor Details

### AbstractRunner

public AbstractRunner(List<Object[]> configurations, List<URL> installables)

## Method Details

### setFeatureSupplier

public void setFeatureSupplier(Supplier<String> supplier)

### setBundleReporter

public void setBundleReporter(BiConsumer<URL,Map<String,String>> reporter)

### setupFramework

protected void setupFramework(org.osgi.framework.launch.Framework framework, Map<Integer,List<URL>> bundlesMap) throws org.osgi.framework.BundleException

Throws:
  `org.osgi.framework.BundleException`

### startFramework

protected boolean startFramework(org.osgi.framework.launch.Framework framework, long timeout, TimeUnit unit) throws org.osgi.framework.BundleException, InterruptedException

Throws:
  `org.osgi.framework.BundleException`
  `InterruptedException`

### finishStartup

protected void finishStartup(org.osgi.framework.launch.Framework framework)

### registerFeatureService

protected void registerFeatureService(org.osgi.framework.Bundle featureBundle)